#!/bin/sh

# edit these three variables for your own system
WIN_USER_NAME="Windows username"
WIN_PASSWORD="Windows password"
WIN_SHARE_LOCATION="Windows shared folder location"

# don't edit anything under this line unless you know what you are doing

# if you pass in an argument "ramdisk" then it will be created before folding starts
if [ $# -eq 1 ]
then
  if [ $1 = "ramdisk" ]
  then
    buildramfs
  fi
fi

# creating the mount point to the Windows shared folder for backup purposes
mount -t cifs $WIN_SHARE_LOCATION -o username=$WIN_USER_NAME,password=$WIN_PASSWORD,rw /mnt/winshare

crond

./fah6 -bigadv -smp 8

if [ $# -eq 1 ]
then
  if [ $1 = "ramdisk" ]
  then
    echo "Creating a backup of RAMDISK contents at $WIN_SHARE_LOCATION\ram_backup"
    cp -a work queue.dat unitinfo.txt /mnt/winshare/ram_backup
    echo "Backup complete, restart the VM, copy the files and work"
    echo "directory from $WIN_SHARE_LOCATION\ram_backup to"
    echo "FAH\\fah to resume where you left off."
  fi
fi

