#!/bin/sh

if [ $# -ne 1 ]
then
  echo "need to supply an hour value"
else
  HOUR_INPUT=$1
  if [ $HOUR_INPUT -lt 0 -o $HOUR_INPUT -gt 23 ]
  then
    echo "need to supply an hour value between 0 and 23"
  else  
    DEST=/mnt/winshare/$HOUR_INPUT
    cd /usr/local/fah
    cp -a work queue.dat unitinfo.txt $DEST
    echo "Backup at $HOUR_INPUT hour completed at $DEST"
  fi
fi

